#!/bin/bash

# #exec 2>/dev/console

# #set -x

UPGRADE="/tmp/firmware_upgrade"
BIN="$UPGRADE/bin"
JFFS="$UPGRADE/jffs"


if [ -e $UPGRADE/jffs/criticalFiles.tar ]
then
    if [ -d /flash/egServer/license ]
    then

        cd /
        $BIN/tar -xf $JFFS/criticalFiles.tar id
        $BIN/tar -df $JFFS/criticalFiles.tar > $BIN/tar.log 2>&1
        cd $BIN

        ret=`cat tar.log`

        rm id
        rm tar.log

        if [ "$ret" = "" ]
        then
            echo PASS
            exit 0
        else
            echo FAIL
            exit 1
        fi
    fi

fi
    echo tarball not found!
    exit 1
